function [ Y_filtered, Y_mask ] = filter_values_by_subject( Y, all_subjects, subjects )
%FILTER_VALUES_BY_SUBJECT Filters Y for the desired set of subjects
%   

n = size(Y,1);
s1 = size(Y,2);
s2 = size(subjects,1);

Y_mask=false(n,1);
idx = 1;
for i = 1 : s2
    
    subj=char(subjects(i));
    index = find(strcmp(all_subjects, subj));
    if (numel(index)>0)
        %try
        Y_filtered(idx,:)=Y(index(1),:);
        Y_mask(index(1)) = true;
        idx = idx + 1;
        %catch
        %    a = 0;
        %end
    else
        warning(['Subject ', subj, ' not in list! @index ', num2str(i)]);
    end
    
end

end

