function [  ] = write_matrix( filename, M, delim, header )
%WRITE_MATRIX Writes a matrix to file; allows a header to be written also
%   Should be a simple built-in function

R = size(M, 1);
C = size(M, 2);

fid = fopen(filename, 'w');

if exist('header','var')
    if C ~= 1
        fprintf(fid,['%s',delim],header{:});
    else
        fprintf(fid,'%s',header{:});
    end
   fprintf(fid,'%s\n',header{end});
end



for i = 1 : R
   if C == 1
        fprintf(fid,'%f\n',M(i));
   else
        fprintf(fid,['%f',delim],M(i,1:end-1));
        fprintf(fid,'%f\n',M(i,end));
   end
   
end

fclose(fid);

end

